
function CopDamage:_spawn_head_gadget(params)
	if not self._head_gear then
		return
	end
	
	if self._head_gear_object then
		if self._nr_head_gear_objects then
			for i = 1, self._nr_head_gear_objects do
				local head_gear_obj_name = self._head_gear_object .. tostring(i)
				self._unit:get_object(Idstring(head_gear_obj_name)):set_visibility(false)
			end
		else
			self._unit:get_object(Idstring(self._head_gear_object)):set_visibility(false)
		end
		
		if self._head_gear_decal_mesh then
			local mesh_name_idstr = Idstring(self._head_gear_decal_mesh)
			self._unit:decal_surface(mesh_name_idstr):set_mesh_material(mesh_name_idstr, Idstring("flesh"))
		end
	end
	
	local unit = World:spawn_unit(Idstring(self._head_gear), params.position, params.rotation)
	
	if not params.skip_push then
		local dir = math.UP - params.dir / 2
		dir = dir:spread(25)
		local body = unit:body(0)
		body:push_at(body:mass(), dir * math.lerp(300, 650, math.random()), unit:position() + Vector3(math.rand(1), math.rand(1), math.rand(1)))
	end
	
	self._head_gear = false
	
	
	if self._head_gear_object ~= "g_helmet_smashable" then return end
	
	if self._unit:sound() then
		self._unit:sound():play("swat_heavy_visor_shatter", nil, nil)
	end
	
	if not params.skip_push then
		for i = 1, 6 , 1 do
			local dir = math.UP - params.dir / 2
			dir = dir:spread(25)
			
			local body = unit:body(i)
			body:push_at(body:mass(), dir * math.lerp(200, 350, math.random()), unit:position() + Vector3(math.rand(1), math.rand(1), math.rand(1)))
		end
	end
end
